Убедительно прошу кого-нибудь опытного помочь мне в следующем болезненном вопросе. Недавно мое автоматическое средство обновления программного обеспечения предложило мне обновить linux-firmware. Обновление не удалось, и с тех пор я получаю такое сообщение при каждом обновлении. Я пытался найти ре....
Я выполнил следующую команду для установки GNOME Vanilla на Ubuntu 21.10: sudo apt install vanilla-gnome-desktop Это сработало успешно, и я смог войти в GNOME 40.4. Но я получил случайную ошибку dpkg, а именно: update-alternatives: error: no alternatives for gdm3-theme.gresource dpkg: error process....
Я хочу перечислить список пакетов установки и обновления с датой и именем репо. У меня есть несколько репозиториев на моем сервере, некоторые из них я хочу ежедневно сканировать и перечислять, какие пакеты устанавливаются, когда они установлены и какое репо используется для этого. любая помощь, пож....
При попытке обновить Ubuntu 21.10, запустив apt upgrade от имени пользователя root, я получаю следующую ошибку: dpkg: error processing archive /var/cache/apt/archives/login_1%3a4.8.1-1ubuntu9_amd64.deb (--unpack): unable to create '/usr/share/man/zh_CN/man1/login.1.gz.dpkg-new' (while processing '.....
askubuntu 7 Янв 2022 в 01:38
Я устанавливаю пакет fcgiwrap в образ Docker nginx (на основе Debian Bullseye), и некоторые файлы отсутствуют. Это, вероятно, что-то очевидное, но я не могу найти объяснение, вот все, что я пробовал: 1. Создание образа Docker с пакетом FROM nginx:latest RUN apt-get update \ && apt-get -q insta....
unix 3 Янв 2022 в 06:00
Я не смог найти никаких флагов подробностей, тишины, молчания и т. д. для dpkg-buildpackage. Например, он печатает [информационные] сообщения, которые меня интересуют, но также печатает то, что происходит во всех целевых файлах правил. Я бы хотел не выводить это. Связано ли создание профиля пакета....
unix 23 Дек 2021 в 13:37
Я обновлял свой Kali Linux VPS, используя стандартные sudo apt update и более поздние команды sudo apt upgrade, но столкнулся с ошибкой: Sub-process /usr/bin/dpkg returned an error code (1). Я совсем новый пользователь Kali, поэтому не знаю, почему произошла эта ошибка? Помимо стандартной установк....
unix 21 Дек 2021 в 00:16
Я пытался установить размер пакета на свою виртуальную машину Ubuntu, поэтому попробовал 2 разные команды: dpkg-query и apt-cache. Я сделал это для двух ранее установленных пакетов: git и terminator: Для пакета git: 1. $ dpkg-query -Wf '${Installed-Size}\t${Package}\n' | grep git Output: 69....
unix 5 Дек 2021 в 18:20
Я пытался (какой дурак!) установить более новую версию glibc на Debian Stretch, используя dpkg и armhf .pkg файлы. После откровенного sudo dpkg -i libc6_2.28-10_armhf.deb sudo dpkg -i libssl1.1_1.1.1d-0+deb10u7_armhf.deb Я получил неудачную установку из-за несоблюдения зависимостей, и это, должно ....
unix 29 Ноя 2021 в 01:27
Я долго задавался вопросом, почему sudo apt не может установить локальный deb из некоторых папок с ошибкой: Failed to fetch a file... Permission denied Недавно я попробовал sudo dpkg -i тот же путь, и это сработало. Путь смонтирован на USB с помощью udisks, поэтому он находится внутри папки /medi....
unix 25 Окт 2021 в 05:26
Веб-поиск обнаружил, что ссылки dpkg не работают при использовании apt. Это В чем разница между apt-get и dpkg? принятый ответ гласит: apt-get использует dpkg для фактической установки пакетов. Я столкнулся с ситуацией, когда dpkg -i /path/*.deb выдавал ошибки при установке bless, я пытался воспр....
unix 24 Окт 2021 в 05:06
Джесси поставляется с APR (переносимая среда выполнения Apache) в виде пакета libapr1 версии 1.5.1-3. Однако это единственная версия, которая есть у Джесси (она же самая новая версия). Я пытаюсь создать SDK UIMA C++, для которого требуется версия apr между 1.3.[0-9] или 1.4.[0-9]. Я знаю, что у Deb....
unix 8 Окт 2021 в 16:35
мои настройки inxi -SMG Система: Хост: zaphod Ядро: 5.14.0-1-amd64 x86_64 биты: 64 Рабочий стол: Xfce 4.16.0 Дистрибутив: Debian GNU/Linux bookworm/sid Машина: Тип: Ноутбук Система: Продукт ASUSTeK: G750JX v: 1.0 серийный номер: Mobo: ASUSTeK модель: G750JX v: 1.0 серийный номер: BIOS: America....
unix 30 Сен 2021 в 18:43
Я использую Debian, а именно: # uname -A Linux martlins2 5.10.0-8-amd64 #1 SMP Debian 5.10.46-4 (2021-08-03) x86_64 GNU/Linux И в течение некоторого времени я вижу некоторые ошибки, говорящие о том, что некоторые части некоторых пакетов используют неизвестное сжатие при выполнении apt update. В ча....
unix 14 Сен 2021 в 23:13
Когда я собираю пакет debian, часто создается множество связанных пакетов, объединенных вместе, а также версии foo-dbgsym-* и пакеты foo-doc. Например, даже относительно простой пакет, такой как make, создаст дополнительные пакеты: make-dbgsym_4.2.1-1.2_amd64.deb make-guile-dbgsym_4.2.1-1.2_amd64.de....
unix 7 Сен 2021 в 20:54
Я только что создал простой пакет .deb (используя это учебник). Это мой управляющий файл: Package: bla Version: 1.0 Architecture: x86_64 Maintainer: bla Description: bla Architecture, который я получил от uname -m: x86_64, однако dpkg-deb сломался из-за того, что _ является недопустимым символом,....
unix 5 Сен 2021 в 14:08
Я пытаюсь пересобрать пакет Debian mousepad без D-Bus в Debian 10. Сначала я пытаюсь собрать пакет без каких-либо изменений. apt-get source mousepad cd mousepad-0.4.1 dpkg-buildpackage --build=binary --no-sign Это работает. Теперь я хочу собрать с отключенным D-Bus. Я вижу, что у коврика для мыши ....
unix 1 Сен 2021 в 13:38
Я являюсь пользователем Elementary OS (Ubuntu), и какое-то время, когда я пытаюсь что-то установить (sudo apt-get install [...]), я получаю сообщение об ошибке «Неудовлетворенные зависимости», я набираю sudo apt --fix- сломалась установка, и я получил еще одну ошибку: Fixing Sub-process /usr/bin/d....
unix 14 Авг 2021 в 18:58
(относительно новый для дистрибутивов Linux) Что запрещает мне устанавливать пакет .deb (используя apt или dpkg) на Redhat/CentOS? Или пакет .rpm в Debian/Ubuntu? Я понимаю, что системы на базе Debian/Ubuntu используют apt и dpkg (файлы .deb) в качестве менеджера пакетов, а системы на базе RedHat и....
unix 8 Авг 2021 в 04:17
При выполнении команды sudo dpkg -C я получил следующие результаты: The following packages are in a mess due to serious problems during installation. They must be reinstalled for them (and any packages that depend on them) to function properly: nemo-data File manager and graphical shell....
unix 6 Авг 2021 в 22:21
У меня есть ПК с WSL2/Ubuntu 20.04. Недавно я пытался установить на него пакет (пакет Dell srvadmin). Установка прервалась на полпути, поскольку в WSL2 нет systemd. Это оставило пакет в наполовину установленном/сломанном состоянии, и я не могу удалить/очистить и т. д. с помощью увядания dpkg или a....
unix 29 Июл 2021 в 11:03
На машине Debian Buster без доступа к Интернету большинство команд apt (например, apt install/remove/autoremove) показывают следующую ошибку: The following packages have unmet dependencies: systemd : Depends: libsystemd0 (= 241-7~deb10u6) but 241-7~deb10u8 is to be installed Recommends: ....
unix 23 Июл 2021 в 15:03
У меня есть связанный вопрос, но меня попросили открыть новый. Я хотел бы перекомпилировать пакет Debian wpasupplicant с отключенным IPv6. Я знаю основы компиляции пакетов Debian, т.е.: apt-get source wpasupplicant dpkg-buildpackage --build=binary --no-sign Что мне нужно изменить, чтобы полностью ....
unix 20 Июл 2021 в 08:04
Я обновляю свою систему Debian до новой основной версии, и, поскольку Debian известен тем, что имеет один из самых больших репозиториев программного обеспечения среди дистрибутивов Linux, мне интересно посмотреть, какие пакеты были добавлены с момента последней версии. В настоящее время я обновляюс....
unix 17 Июл 2021 в 14:40
После загрузки исходного кода Ubuntu с kernel.ubuntu.com я попытался установить конфигурацию для arm64. Когда я делаю команду ниже, LANG=C fakeroot debian/rules ARCH=arm64 CROSS_COMPILE=aarch64-linux-gnu- editconfigs И выберите изменение конфигурации для arm64, появится меню конфигурации, а ниже п....
unix 30 Июн 2021 в 08:42